"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
require("../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
require("../../node_modules/.pnpm/screenfull@6.0.2/node_modules/screenfull/index.js");
require("../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_root.js");
require("../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseGetTag.js");
require("../../node_modules/.pnpm/html2canvas@1.4.1/node_modules/html2canvas/dist/html2canvas.esm.js");
require("../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseClone.js");
require("../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.js");
const router = require("../utils/router.js");
require("../store/modules/designStore/designStore.js");
require("../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.js");
require("../components/GoSkeleton/index.vue.js");
require("../components/GoLoading/index.js");
require("../settings/designSetting.js");
const reactivity_esmBundler = require("../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const useChartInteract = (chartConfig, useChartEditStore2, param, interactEventOn) => {
  if (!router.isPreview())
    return;
  const chartEditStore = useChartEditStore2();
  const { interactEvents } = chartConfig.events;
  const fnOnEvent = interactEvents.filter((item) => {
    return item.interactOn === interactEventOn;
  });
  if (fnOnEvent.length === 0)
    return;
  fnOnEvent.forEach((item) => {
    const globalConfigPindAprndex = chartEditStore.requestGlobalConfig.requestDataPond.findIndex(
      (cItem) => cItem.dataPondId === item.interactComponentId
    );
    if (globalConfigPindAprndex !== -1) {
      const { Params, Header } = reactivity_esmBundler.toRefs(chartEditStore.requestGlobalConfig.requestDataPond[globalConfigPindAprndex].dataPondRequestConfig.requestParams);
      Object.keys(item.interactFn).forEach((key) => {
        if (key in Params.value) {
          Params.value[key] = param[item.interactFn[key]];
        }
        if (key in Header.value) {
          Header.value[key] = param[item.interactFn[key]];
        }
      });
    } else {
      const index = chartEditStore.fetchTargetIndex(item.interactComponentId);
      if (index === -1)
        return;
      const { Params, Header } = reactivity_esmBundler.toRefs(chartEditStore.componentList[index].request.requestParams);
      Object.keys(item.interactFn).forEach((key) => {
        if (key in Params.value) {
          Params.value[key] = param[item.interactFn[key]];
        }
        if (key in Header.value) {
          Header.value[key] = param[item.interactFn[key]];
        }
      });
    }
  });
};
exports.useChartInteract = useChartInteract;
